#ifndef _GAMECURZOR_H_
#define _GAMECURZOR_H_

#include "../app/EngineH.h"

class C_GAMECURZOR_0
{
private :
	TRect	_rect;
	uint	_textureId;

public :
	C_GAMECURZOR_0();

public :
	inline void SetSize(int w, int h) {_rect.width = w;_rect.height = h;}
	inline void SetImage(uint textureId) { _textureId = textureId; }
	void Render(HWND hWnd);
	void ShowCursor(bool show);
};

#endif _GAMECURZOR_H_